org.codehaus.groovy.transform.sc.transformers

## Class CastExpressionOptimizer

- java.lang.Object
- - org.codehaus.groovy.transform.sc.transformers.CastExpressionOptimizer

-     public class CastExpressionOptimizer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CastExpressionOptimizer(StaticCompilationTransformer staticCompilationTransformer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `transformCastExpression(CastExpression cast)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CastExpressionOptimizer

          public CastExpressionOptimizer(StaticCompilationTransformer staticCompilationTransformer)

  - ### Method Detail

    - #### transformCastExpression

          public Expression transformCastExpression(CastExpression cast)